Browse Source

Use rubocop-rails (#10957)

cybrespace-3.0
Yamagishi Kazutoshi 2 years ago
committed by Eugen Rochko
parent
commit
3f536f06d6
  1. 2
      .codeclimate.yml
  2. 3
      .rubocop.yml
  3. 1
      Gemfile
  4. 4
      Gemfile.lock

2
.codeclimate.yml

@ -30,7 +30,7 @@ plugins:
channel: eslint-5
rubocop:
enabled: true
channel: rubocop-0-54
channel: rubocop-0-71
scss-lint:
enabled: true
exclude_patterns:

3
.rubocop.yml

@ -1,3 +1,6 @@
require:
- rubocop-rails
AllCops:
TargetRubyVersion: 2.3
Exclude:

1
Gemfile

@ -129,6 +129,7 @@ group :development do
gem 'letter_opener_web', '~> 1.3'
gem 'memory_profiler'
gem 'rubocop', '~> 0.71', require: false
gem 'rubocop-rails', '~> 2.0', require: false
gem 'brakeman', '~> 4.5', require: false
gem 'bundler-audit', '~> 0.6', require: false
gem 'scss_lint', '~> 0.58', require: false

4
Gemfile.lock

@ -534,6 +534,9 @@ GEM
rainbow (>= 2.2.2, < 4.0)
ruby-progressbar (~> 1.7)
unicode-display_width (>= 1.4.0, < 1.7)
rubocop-rails (2.0.0)
rack (>= 2.0)
rubocop (>= 0.70.0)
ruby-progressbar (1.10.1)
ruby-saml (1.9.0)
nokogiri (>= 1.5.10)
@ -746,6 +749,7 @@ DEPENDENCIES
rspec-rails (~> 3.8)
rspec-sidekiq (~> 3.0)
rubocop (~> 0.71)
rubocop-rails (~> 2.0)
sanitize (~> 5.0)
scss_lint (~> 0.58)
sidekiq (~> 5.2)

Loading…
Cancel
Save